traits.hpp File Reference

## Classes

struct | ranges::contiguous_iterator_tag

## Typedefs

template<typename T >
using | ranges::cpp20::incrementable_traits = ranges::incrementable_traits< T >
template<typename T >
using | ranges::cpp20::indirectly_readable_traits = ranges::indirectly_readable_traits< T >
template<typename I >
using | ranges::iter_common_reference_t = common_reference_t< iter_reference_t< I >, iter_value_t< I > & >
template<typename T >
using | ranges::iter_difference_t = typename incrementable_traits< uncvref_t< T > >::difference_type
template<typename I >
using | ranges::iter_rvalue_reference_t = detail::iter_rvalue_reference_t< I >